---
deprecated: true
excerpt_separator: <br/>
category: media
layout: post
title: An adventure in transliteration
date: '2012-10-25T18:42:00.000-04:00'
author: Anna Wiggins
tags:
- translation
- Cirth
- The Hobbit
- linguistics
- conlang
- runes
- Denny's
- language
- Tolkien
modified_time: '2013-10-22T11:19:52.048-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-4889133135357775040
blogger_orig_url: http://www.stringofbits.net/2012/10/an-adventure-in-transliteration.html
---

So, Denny's new Middle Earth-themed menu / Hobbit tie-in has resulted in the following billboard:<br/><br/><a href="http://stringofbits.files.wordpress.com/2012/10/dennys_billboard.jpg"><img src="http://stringofbits.files.wordpress.com/2012/10/dennys_billboard.jpg" alt="" title="dennys_billboard" width="480" height="359" class="alignnone size-full wp-image-796" /></a><br/><br/>It is written in Cirth, Tolkien's version of runes. It is a bit hard to read, and seems to mix and match a bit between the Angerthas Daeron and the Angerthas Moria.<br/><br/>My first attempt at a rough transcription rendered this:<br/><br/><blockquote>dh* brekfast richū ov mid*l erth awökw</blockquote><br/><br/>Looking at this, that second character (the first one I've marked with an asterisk) may have been intended as an 'e'. Either way, it definitely doesn't look like any of Tolkien's languages, but rather like an attempt at transcribing English into the Cirth. In which case, and assuming the first word really is 'the', they were clever for using the cirth for 'dh' instead of 'th'. Good phonetic transliterating there.<br/><br/>My next thought was that it meant something like "Wake up to the richest breakfast in Middle Earth" in an odd pidgin of English, unless I had transliterated very badly or they had. Eventually I realized I had made several errors, and corrected them based on some further study of some of Tolkien's Cirth inscriptions (the sounds of letters vary by language and time, because Tolkien was adamant about his constructed languages seeming organic, and the writers of this billboard were seemingly inconsistent), and got:<br/><br/><blockquote>dhe brekfast richz ov middl erth awät</blockquote><br/><br/>Which is a really decent phonetic transcription of <strong>"The breakfast riches of Middle Earth await"</strong>.<br/><br/>There seems to be a notion running around that the sign reads "Middle Earth is coming to America's Diner". It may be a tiny, silly bit of misinformation, but I will correct it if I can!<br/><br/>Edit: Looks like the good people over at theonering.net <a href="http://www.theonering.net/torwp/2012/10/23/63765-breaking-news-dennys-americas-diner-becomes-middle-earths-diner/">already translated this</a>, and confirm my translation. So it's good to know I'm not way off base.