---
deprecated: true
excerpt_separator: <br/>
category: technology
layout: post
title: Bulding bridges in the metaverse
date: '2010-01-08T07:24:00.000-05:00'
author: Anna Wiggins
tags:
- second life
- programming
- metaverse
- Technology
modified_time: '2013-10-22T11:19:50.818-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-5217322832347511984
blogger_orig_url: http://www.stringofbits.net/2010/01/bulding-bridges-in-metaverse.html
---

If/once you "get it", <a href="http://secondlife.com">Second Life</a> is pretty cool.  It can be a lot of different things, and its potential has barely even been scratched.  Sure, the tools are cumbersome, but they are getting better.  And some of Linden Lab's policies suck, but that will just drive people to OSGrid, eventually.<br/><br/>Anyway, there are people in Second Life that I like being able to communicate with.  However, when I'm at work, it's a lot of trouble to create an SSH tunnel home, then forward a text-only client like <a href="http://omvviewer-light.byteme.org.uk/">ommviewer-light</a> just so I can log in and see who is online.<br/><br/>So, as I always do, I went way overboard and created a system that can relay chat between an IRC channel (or channels) and any location (or locations) inside Second Life (or any other grid that supports LSL).  It can also check the online status of users and send them one-way IMs.  I call the entire system slrelay, and you can get it <a href="http://stringofbits.net/slrelay/">here</a>.<br/><br/>It requires a few things to work: a running webserver is absolutely necessary.  If you want the IRC features, then you also need an IRC network of your choice and a machine that can execute perl scripts.  I have my IRC bot connected to irc.slashnet.org.<br/><br/>slrelay has a number of possible uses.  You could use it to relay chat between key locations on a large landmass (say, an area that spans 3 or 4 sims).  It could relay chat between Second Life and another metaverse grid like OSGrid.  It can be used as a simple IRC tool to check who is online very quickly.  Or it can do all of these things at once.