---
deprecated: true
excerpt_separator: <br/>
category: media
layout: post
title: 'Doctor Who: Dinosaurs on a Spaceship'
date: '2012-09-21T13:00:00.000-04:00'
author: Anna Wiggins
tags:
- Dinosaurs
- Silurians
- Amy Pond
- Media
- Doctor Who
- Feminism
modified_time: '2013-10-22T11:19:52.016-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-1140725858248588875
blogger_orig_url: http://www.stringofbits.net/2012/09/doctor-who-dinosaurs-on-spaceship.html
---

Customary <strong>Spoiler Warning</strong>.<br/><br/>It was pretty clear going in that this episode was going to be a fairly light-hearted comedy romp. The episode title is a <em>Snakes on a Plane</em> parody. The trailers made it clear we were in for 'fun' and not 'epic storytelling'. I mean, more broadly, there are dinosaurs. It is hard not to just sit back and smile when there are dinosaurs.<br/><br/>And we got that light-hearted whimsical story, but we also got a lot of interesting complexity - there's a lot packed into this episode both structurally and narratively. The first thing that struck me was the exposition - the episode drops us into the action in minutes. It is frenetic, it doesn't stop to explain itself, and it is perfectly comprehensible - it trusts the audience to keep up, and channels the exposition into character moments over the course of the episode. This is very efficient storytelling, and it works great for a story as active as this one is.<br/><br/>And the character moments are numerous. Both the historical support characters and Brian are given chances to establish themselves as characters. Amy gets a few stand-out moments as well, particularly the explicit commentary on her role-reversal ("I will <strong>not</strong> have flirting companions!"). And Rory gets to actually be a nurse for a moment, instead of just having the occasional vague allusion to it.<br/><br/>The imagery in the story is a delightful romp that seems to have taken the approach 'how many ideas can we juxtapose at one time.' We have an Egyptian queen, a big game hunter, dinosaurs, Silurians (well, briefly), and an amoral space merchant who is basically the unseen silent protagonist of every <a href="http://en.wikipedia.org/wiki/Star_Trader">Star Trader</a> descendant. And a futuristic space defense agency with a penchant for firing missiles.<br/><br/>So, a lot of the story is high adventure and fun, including 'shoot the raptors with stun guns' and 'ride the triceratops' action pieces that are exactly the length they need to be. And yet for all the running around and having fun, the story drops into a very serious dramatic register for the climax. Notably, the Doctor doesn't quite save the day here - he shows up too late. The Silurians are already dead. And so he foregoes his usual 'give the bad guys a chance to do the right thing' speech. In this story, amoral slave-trading mass-murderers have already crossed the line, and do not deserve mercy.<br/><br/>But let's leave that thread alone for now (my next post will have more to say on the subject of mercy, I imagine). Because one of Amy's lines in this episode caught my attention, and I want to talk about it:<br/><br/><blockquote><br/>Riddell: Know what I want more than anything else? <br/>Amy: Lessons in gender politics?<br/></blockquote><br/><br/><br/>And, well, my first instinct is to bite back several snarky responses. But a Feminist critique of Amy Pond's character has <a href="http://tigerbeatdown.com/2011/08/04/the-girl-who-waited-why-i-hate-amy-pond/">already been done</a>, and I have commented on it <a href="http://stringofbits.net/2011/09/13/doctor-who-the-girl-who-waited/">once</a> or <a href="http://stringofbits.net/2011/09/19/doctor-who-the-god-complex/">twice</a> as well. And while I don't agree with Lindsay in every particular, it isn't a radical observation that Doctor Who, particularly in the last few years, has had a mixed record on Feminist issues, and Amy Pond is at the center of a lot of the show's more recent problems.<br/><br/>This episode makes some clear efforts to rectify that, with both Amy and the Doctor getting dialogue that reinforces Amy as capable of taking care of herself. It has mixed results. Sure, lines like "I'm easily worth two men" and the Doctor's suggestion that Brian is 'a Pond' are clever. But equally, the likes of "I'm Rory's queen... don't tell him I said that" starts to edge into <a href="http://www.harkavagrant.com/index.php?id=341">straw feminist</a> territory. Because obviously, women are Too Controlling and that Threatens the Manhood of their partners. Better rein in that <em>feistiness</em>, girls.<br/><br/>More broadly, a lot of the dialogue Amy gets (both in this episode and in others) that attempts to be overtly Feminist comes off poorly. At best, it often sounds a little flat. At worst, it sounds like a man with a large amount of unacknowledged privilege trying to write feminism. Which I strongly suspect is the case. It is notable the number of women to write an episode of Doctor Who in the Matt Smith era can be counted on one closed fist. And the Davies era wasn't much better: the total number of episodes written by women during his tenure can be counted on one hand (at least it gets to be open this time).<br/><br/>So in terms of writing, Doctor Who is still very much a boy's club, and it shows. But at least the episode was fun. And the line about gender politics was genuinely good.