---
deprecated: true
excerpt_separator: <br/>
category: media
layout: post
title: 'Puzzle Log: MGWCC #172 - The Vision Thing'
date: '2011-09-22T10:00:00.000-04:00'
author: Anna Wiggins
tags:
- crossword
- Matt Gaffney
- Puzzles
- meta puzzles
- mgwcc
modified_time: '2013-10-22T11:19:51.664-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-7817297676551842768
blogger_orig_url: http://www.stringofbits.net/2011/09/puzzle-log-mgwcc-172-vision-thing.html
---

I have a strange relationship with crossword puzzles. I like the idea of them, but I'm often rubbish at them. However, after solving a very fun, simple(ish) crossword in 7 minutes the other day, my desire to solve them was rekindled. So I decided to tackle Matt Gaffney's latest <a href="http://crosswordcontest.blogspot.com/">Weekly Crossword Contest</a>.<br/><br/>The MGWCC is a weekly crossword, fairly difficult as non-cryptics go, that always has a meta-puzzle at the end. He publishes them on Friday and accepts answers to the meta (via email) until Tuesday. They are often very difficult, but I managed to get this one in about an hour and a half (45 minutes for the crossword, 45 minutes for the meta).<br/><br/>A couple of notes on how I handle crosswords:<br/><br/>I use <a href="http://x-word.org/">xword</a>, and I use its timer feature, which pauses (and hides the puzzle) when you go to another window. As a result, I know how long I spend actively working on the puzzle, even if I'm multitasking while I'm working on it. For instance, I did this puzzle in 2 sessions over 2 days, and the total time I was nominally working on the crossword was an hour and a half. But only about half that time was spent actually working on the puzzle.<br/><br/>You could argue that my mind is still pretty engaged with the puzzle during the multitasking, though. So, if you prefer, I spent 1.5 hours in wall time on the puzzle, and 45 minutes of game clock time.<br/><br/>I also use Google, but only as a last resort; I prefer to use the other clues available to fill in unknowns. But when all else fails, I will google a clue that satisfies both of these conditions:<br/><br/><ol><br/><li>I know I will never guess the answer on my own.</li><br/><li>The entry is in a position that will help me continue to solve without further googling.</li><br/></ol><br/><br/>I do occasionally refer to googling answers as 'cheating'; I'm not denigrating anyone who solves their crosswords that way, it just feels to me like I'm cheating myself a little bit.<br/><br/><a href="http://stringofbits.files.wordpress.com/2011/09/mgwcc172.png"><img src="http://stringofbits.files.wordpress.com/2011/09/mgwcc172.png" alt="A maze of twisty letters, all alike" title="mgwcc172" width="450" height="450" class="alignright size-full wp-image-553" /></a><br/><br/>And on that note, this week's MGWCC was brutal. I had to cheat 5 times, which is unusually high for this size puzzle (15x15). There was very little short fill, and lots of obscures references. The NE and SW corners were really hard to break into, and that's where most of my cheats came from. At least there was almost nothing sports-related (I'm rubbish at those), though. And the clue "Palindromic play" with the answer RUR made me squee a little.<br/><br/>Other fun answers were OJIBWA, ANTARES, and SECRETES. SWE took me far longer than it should have, given that I know how crosswords and abbreviations work. I'm definitely out of practice. Also frustrating were the three entries all clued 'Dot follower', all 3-letter entries. Clearly DNS TLDs, but which ones? When I saw those length 3 entries, I was hopeful for some fill to help ground the rest of the puzzle, but those were literally impossible to solve without getting crossings on them first.<br/><br/>But other than that, this was a pretty straightforward 45-minute puzzle for me. Fun to solve, but on the difficult side of things. The meta, on the other hand, was a blast.<br/><br/>The meta clue (given in each week's write up) is <em>"a European capital I've never laid eyes on"</em>. The puzzle title and the long entry BLINDCROSSING clued that this had to do with blindness. BRAILLE suggested trying to read the spaces as braille, but I couldn't make that work (and I tried a lot of different rotations, encodings, and far-fetched interpretations of braille).<br/><br/>So, then I thought that the clue ISEEA could be involved. I found all the clues with the letters S, E, and E, and removed those letters (taking away the 'SEE'ing). Those clues were:<br/><br/>ISEEA<br/>SECRETES<br/>DESSERT<br/><br/>which gave me:<br/><br/>IACRTESDERT<br/><br/>Which is an anagram for CREATES DIRT. But that is not a European city, as far as I know.<br/><br/>Then I spotted 'HOMER' as one of the answers. Homer (the Greek poet, who incidentally isn't the person referenced by the clue) was supposedly blind. And Ray CHARLES and Stevie WONDER are in here too! Let's find all the blind people:<br/><br/>John MILTON, Art TATUM, Louis BRAILLE (duh!), and SAMSON.<br/><br/>None of the clues reference the blind individual who shares the name; that would have made the meta too obvious. But the meaning of BLINDCROSSING is pretty obvious now, because of these 7 names, we have 3 pairs that cross. I think someone is missing. CHARLES doesn't have a cross.<br/><br/>NEDLER and CHE cross CHARLES. NEDLER was a bit of a guess, so I go back and google this one (technically a 6th cheat, but I don't usually count corrections during the meta. Metas are a different class of puzzle and googling doesn't feel like cheating on them to me). Turns out the name should have been KELLER.<br/><br/>Taking just the 4 letters where these names cross, we have: MERO, or as it is more commonly known, ROME.<br/><br/>Well, that was a lot of fun! I may have to start doing one of these every week.