---
deprecated: true
excerpt_separator: <br/>
category: media
layout: post
title: Scratching the itch
date: '2010-01-08T07:06:00.000-05:00'
author: Anna Wiggins
tags:
- eve online
- vendetta online
- thunderdome
- Gaming
modified_time: '2013-10-22T11:19:50.863-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-7191442157918171530
blogger_orig_url: http://www.stringofbits.net/2010/01/scratching-itch.html
---

I thought about titling this post "Eve and Vendetta in the THUNDERDOME", but sanity prevailed.  You win this round, sanity.<br/><br/>I played through the trial run of Eve Online.  It worked without much complaint in wine.  Let's look at the things I think are cool about Eve Online, and the problems and realizations that came from the trial.<br/><a name='more'></a><br/><br/>Okay, the star map.  I could spend hours just playing with the gorram star map.  Coloring systems by various data, playing with routes... the star map makes me feel like I'm in an Asimov novel.  This hits my geek spot so very very hard.<br/><br/>The scale of the game is immense.  4500 star systems.  Something to do in every one of them.  It's mind-boggling, and it's easy to feel lost in the vast cloud of stars.  Which is a good thing, for me.<br/><br/>The setting is really cool.  The whole concept of capsuleers - transhumanist sociopaths, small gods reigning death on lesser humans - is really cool.  The fact that you play as one is the surprising part.  And NPCs even make reference to the fact that your 'kind' have a reputation for callousness.  Very well executed.<br/><br/>In theory, I love the PvP/corporation/territorial battle aspects of Eve.  Player-run corporations can control star systems.  That's amazing.  In fact, it is the single coolest thing the game has to offer.  If VO could find a way to implement sector/system sovereignty, it would be a better game (I believe this is being worked on).<br/><br/>Eve has a  HUGE player base.  There are human players in pretty much every system I pass through.  However, while the player base is huge, I find myself rarely interacting with them.  Which is fine, in that it is realistic enough; I have no real reason to talk to these pilots at this time.  But it makes me realize that VO's absence of a huge player base isn't as much of a deal breaker as I thought.<br/><br/>I like that Eve's economy is thoroughly player-driven.  Vendetta feels contrived; sure, prices fluctuate as you move commodities from one port to another, but a station isn't relying on players for a shipment of actual, usable goods, like weapons and ships.  The economy in Eve is easily the most amazing thing I've ever seen in a video game.  The fact that it <strong>works</strong> is almost unbelievable.<br/><br/>Eve has some graphical and performance issues, and it isn't really any prettier than Vendetta Online on my hardware.  This is annoying, because Eve looks and runs better in Windows.  That's a HUGE point in Vendetta's favor; Linux compatibility is very important to me.<br/><br/>Combat in Eve can be boring at times.  Theoretically it's a more tactical approach, but PvE comes down to:<br/><ol><br/><li>Click enemy.</li><br/><li>Click "Lock"</li><br/><li>Press F1</li><br/><li>Wait until enemy is dead</li><br/></ol><br/><br/>You might need to toggle some shield hardeners or armor repair modules, or run away to repair/reload.  But that's about it for the entry-level PvE.  Now, granted, PvP is another deal altogether, and I'm sure the combat in PvE gets more nuanced.  The presence of tons of options (weapons, shields, add-ons, upgrades, 'rigs') is really cool, too, if a bit overwhelming.<br/><br/>In contrast, VO's combat is immediate, twitch-based, and immensely rewarding.  It is also a lot harder for me, but I relish the challenge.  In my two-week trial of Eve, I didn't lose a single ship.  In Vendetta, blowing up happens every day.  Of course, it isn't as big a deal either.<br/><br/>Vendetta's limited options with weapons and ships makes it easy to build a balanced, meaningful loadout.  It also has a really good variety of different ship types (light/medium/heavy fighter, transport, bomber) without having an overwhelming number of options.<br/><br/><br/>I think that, in the end, VO is more my style.  It is better suited to casual play.  It has a more open attitude (native Linux client, client plugins are encouraged, very open source-style release model).  The public chat channel makes the game's community very accessible; you can ask questions or just chat, and it makes the whole experience feel like hanging out on IRC (but with more explosions).<br/><br/>Eve Online has a lot of things that I want in a game, but it's not quite casual-friendly enough for me.  If Vendetta takes some cues from Eve in terms of the broader features, it will turn into a damned fine game.  As it is, it's enough fun to justify paying for it.