---
deprecated: true
excerpt_separator: <br/>
category: technology
layout: post
title: Desura - what Steam should have been
date: '2011-11-12T09:00:00.000-05:00'
author: Anna Wiggins
tags:
- linux
- Desura
- Gaming
- Amnesia
modified_time: '2013-10-22T11:19:51.766-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-6872361963031367113
blogger_orig_url: http://www.stringofbits.net/2011/11/desura-what-steam-should-have-been.html
---

I like <a href="http://steampowered.com/">Steam</a>. In a gaming world of ubiquitous DRM, Steam strikes a nice balance between functionality and nuisance. That is, Steam makes it dead simple to install and launch games, and the trade-off is that it does some fairly unobtrusive DRM. This is a good model, although I can think of several ways in which it could provide a better end-user experience.<br/><br/>At the very top of my personal list of improvements to Steam would be "native Linux support". And I know, I know, I've heard all of the conventional wisdom: There isn't a big enough market to justify porting it. Even if there was, there aren't enough Linux-native games to make the service very useful. Everybody knows Windows is the OS for gaming.<br/><br/>But sitting here staring down that conventional wisdom is <a href="http://www.desura.com/">Desura</a>. I've known that Desura existed for a while - the Frozenbyte Bundle and the Humble Bundle 3 both had options to acquire 'Desura keys', so it was obviously a Steam competitor. Until recently, though, I had just dismissed the product - obviously, I thought, any Steam competitor is going to lag far behind in available games and basic feature set, given Steam's popularity. Faulty logic, but there it is.<br/><br/>So when a friend told me that Desura works in Linux, I was pretty stunned. I had gotten used to not being the 'target audience' for game companies. And now, a few hours later, I've got Desura installed, my humble bundle keys redeemed, and I've purchased Amnesia: The Dark Descent (which was on sale at the time, and I've been meaning to buy for some time anyway).<br/><br/>Desura's (native Linux!) install is smooth and painless, and its (native Linux!) interface is pretty nice. It has some rough edges, to be fair: most of what it does is load websites that are skinned to feel like part of the interface (much like Steam does), and some of those pages are still obviously works in progress. On the other hand, everything works quickly and smoothly. The main options menu is accessed by clicking the Desura logo, which doesn't look obviously like a button. So that's a design flaw, but it didn't take too long to work out. Redeeming gift keys is more streamlined than in Steam (once you find where to do it!).<br/><br/>Now, Desura certainly isn't perfect, and it lacks very useful features that Steam has had for some time. One problem I noticed is that it lacks Steam's resume-after-closing feature; I started to install Amnesia, absent-mindedly closed the client later, and it didn't auto-resume after I opened Desura again. Desura doesn't track how much time you've sunk into a given game. It also doesn't have any way to access your save games from multiple locations (a la Steam's cloud sync), and while their developer info mentions achievements, I haven't seen any games implement Desura-specific achievements, nor would I even know where to look to find them.<br/><br/>Another feature that both Steam and Desura need are tags, or some sort of organizational system for your games. Right now all Desura has are 'all games' and 'favorite games'. Steam has a categories system, but it doesn't always save that information across accounts, and you can't tag games with multiple categories. A proper tagging-based sorting system would be great.<br/><br/>So, Desura has a spartan interface, but it's also still very young. And more importantly, it runs flawlessly in Linux, which makes it very appealing to me. If you game in Linux at all, check out Desura. It's already a great service, and it looks like it's only going to get better.