---
deprecated: true
excerpt_separator: <br/>
category: technology
layout: post
title: dmr
date: '2011-10-14T08:18:00.000-04:00'
author: Anna Wiggins
tags:
- Programming
- dmr
- C++
modified_time: '2013-10-22T11:19:51.746-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-502111200679400757
blogger_orig_url: http://www.stringofbits.net/2011/10/dmr.html
---

<a href="http://en.wikipedia.org/wiki/The_C_Programming_Language_%28book%29">K&amp;R</a> is a book that has had a profound influence on my life. And I'm not just talking about the influence of it and the C language on computing in general; the direct course of my life has hinged on the language.<br/><br/>I didn't read K&amp;R while I was in college (I did read it after, and it's a great reference. Anyone who wants to understand C better should have a copy). C was not even the first programming language I learned: that was C++. But the two are intimately related, and most Computer Science programs that teach C++ start with programs that are very C-like (and depending on how you do I/O, may be indistinguishable from C). The idioms and quirks of C are synonymous with the very idea of programming to me. And I owe many of those idioms and quirks to Dennis Ritchie.<br/><br/>C and C++ took my kindled interest in programming and stoked it into a towering inferno of inspiration. I don't think I would have been nearly as charmed if my introduction to programming had been Java, or even Python or Perl, which now make up the majority of the programming I do (and perl certainly owes much of its syntax to the C family as well). C has a certain low-level beauty to it. It's more elegant than assembly, and is minimalist and clean in a way few other languages are.<br/><br/>30 years ago, Dennis Ritchie said hello to the world. And now the world says goodbye.