---
deprecated: true
excerpt_separator: <br/>
category: media
layout: post
title: 'Doctor Who: The Power of Three'
date: '2012-10-18T06:00:00.000-04:00'
author: Anna Wiggins
tags:
- Media
- Doctor Who
modified_time: '2013-10-22T11:19:52.039-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-2908703869957411894
blogger_orig_url: http://www.stringofbits.net/2012/10/doctor-who-power-of-three.html
---

What The Power of Three is trying to do is clever - hide a drama about the relationship between the Ponds and the Doctor inside a straightforward episode of Doctor Who (in this case, it happens to be in the 'aliens invade earth' genre of Doctor Who stories). Unfortunately, that drama never really gets time to find itself; instead, the episode spends a bit too long developing the alien invasion story, and not long enough exploring the drama.<br/><br/>Using UNIT may have been a mistake in this direction, too. Kate Stewart is immediately likable, and Jemma Redgrave shines in the role. But this is part of the problem - the Doctor and Kate shine on camera, and this is a further distraction from what is trying to be the emotional core of the episode. Especially since bringing up the Lethbridge-Stewart family brushes against the topic of the Brigadier, and less diegetically, Nicholas Courtney.<br/><br/>So the episode feels unfocused, but there's a lot of potential. And fittingly, one episode from the Ponds' departure, the theme this episode explores echoes all the way back to their introduction in The Eleventh Hour. Since I wasn't writing this blog series back then, let me summarize: The Eleventh Hour is explicitly about the status of Doctor Who as a fairy tale, and more specifically about running away (or being abducted, since they are the same thing when it comes to fairies) to Fairyland. Or to Neverland, if you prefer. The episode goes so far as to have the episode comment that Amelia's name would fit in in a fairy tale.<br/><br/>And now the show is approaching the end of this fairy tale, where the <a href="http://www.amazon.com/Girl-Circumnavigated-Fairyland-Ship-Making/dp/0312649614/ref=tmm_hrd_title_0">girl has circumnavigated Fairyland</a>, and having met many people and done many deeds, will return to the normal world with its slower pace and duller colors and safety and, basically, grow up. And in this particular fairy tale, governed by the rules of Doctor Who companions, this return is as inevitable as the running away.<br/><br/>But The Power of Three doesn't explore this inevitability. Instead, it asks whether running away to Fairyland is good, and whether coming back is necessary. And it comes down solidly on the side of the fairies. This is <a href="http://en.wikipedia.org/wiki/Small_Worlds_(Torchwood)">Small Worlds</a> from the perspective of the fairy child and the fairies.<br/><br/><a href="http://tardiseruditorum.blogspot.com/">Phil Sandifer</a> mentioned once that the fairies in Small Worlds are coded as evil, but I think the episode works, intentionally or not, as a study in extreme cultural relativism. Of course the fairies look evil. They steal our children. From their perspective, though, they are simply protecting their own, and helping them fulfill their destinies. And they are, in many ways, indistinguishable from The Doctor.<br/><br/>In The Eleventh Hour, we have a fairy (or a goblin, or a trickster), and the girl who runs away to Fairyland with him. And the concept of childhood is explicitly invoked:<br/><br/><blockquote><br/><strong>The Doctor:</strong> So, coming?<br/><strong>Amy:</strong> No.<br/><strong>The Doctor:</strong> You wanted to come 14 years ago.<br/><strong>Amy:</strong> I grew up.<br/><strong>The Doctor:</strong> Don't worry. I'll soon fix that.<br/></blockquote><br/><br/><br/>So, the story of Amy Pond begins with the assertion that childhood is good, and that the bargains of fairies can be worth the cost. The Power of Three, then, asks whether the bargain paid off and, perhaps more importantly, whether it is okay not to grow up.<br/><br/>And the conclusion the narrative reaches is a strong and resounding yes. Through the Doctor, through the telling of stories, we can all run away to Fairyland and remain children forever.<br/><br/>Except we know that the end of this tale is looming. Which forces us to consider this question: what force could possibly overrule the will of a fairy and his two fairy children, the will of the very narrative itself?