---
deprecated: true
excerpt_separator: <br/>
category: technology
layout: post
title: 'EA Origin, or: a Case Study in bad consumer experience'
date: '2011-09-15T15:00:00.000-04:00'
author: Anna Wiggins
tags:
- The Sims
- consumer advocacy
- ea origin
- Electronic Arts
- angry rant
- Technology
modified_time: '2013-10-22T11:19:51.502-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-8613281282906755585
blogger_orig_url: http://www.stringofbits.net/2011/09/ea-origin-or-case-study-in-bad-consumer.html
---

I don't play The Sims. The premise holds a certain amount of appeal for me, and the franchise's quirky sense of humour and artistic style agree with my aesthetic sense, but something about the gameplay - the ebb and flow of action and the effort/reward cycle the game creates - doesn't quite gel into an experience that I enjoy.<br/><br/>But my wife, she <strong>loves</strong> The Sims. She has sunk at least as many hours into The Sims 3 as I have in Starcraft 2 and Civ 5 combined. She owns every major expansion that's been released, as well as The Sims Medieval and its expansion.<br/><br/>So when her Sims 3 update failed halfway through, leaving the game in an unlaunchable state, she was understandably distressed. The game plus all of its expansions requires a lot of effort to reinstall; we'd be looking at several hours of installing, with user prompts spaced just far enough apart to make doing anything else impractical.<br/><br/>So, we researched the issue and discovered that the EA Download Manager needed to be updated before The Sims 3 could be updated. Now, EA doesn't make it terribly clear that the Download Manager is a separate application; it is usually launched from The Sims launcher, and is skinned to look like any other menu in The Sims when this is done. So, we found and updated the EA Download Manager.<br/><br/>And it turned into EA Origin.<br/><br/>Again, nothing told us this was going to happen, it just popped up an EA Origin installer, without telling us what Origin was, why we needed it, or why it started installing it when we were trying to update EA Download Manager.<br/><br/>Some further googling revealed that EA Origin is the new replacement for the Download Manager, and that it (gods help us) is "our new digital playground". Apparently it is EA's attempt at Yet Another Online Distribution System. With social features! Look, EA, I hate to break it to you, but Valve already one that battle conclusively. We need another Games For Windows Live about as much as we need arsenic.<br/><br/>The fact that nothing told us, at any point during this process, what EA Origin was or why it was being installed is a huge oversight. The user shouldn't have to use Google to figure out what the product you're giving them is. This is a terribly sloppy user experience.<br/><br/>But it's still not insurmountable. So, rolling our eyes, we proceed to install it, and then we go back and launch The Sims 3.<br/><br/>It launches EA Origin instead.<br/><br/>Why has this happened? Perhaps Origin serves as the new launcher? Okay, that's fine - another crappy application sitting in the system tray, but we can at least live with this. Let's just launch The Sims 3 through Origin.<br/><br/>What's worse, EA Origin wants us to create a profile before it will let us do anything. This is obnoxious - yesterday, The Sims 3 would just launch and let us be happy. Plus, we already have a login on The Sims website, which is where you go to purchase downloadable content for the game. So this is Yet Another Login to Remember, and that's annoying. With absolutely no warning, EA has added a ton of requirements that prevent us from playing a game that has worked fine on its own. Still, whatever. Let's make this profile, get this over with.<br/><br/>Now we can just launch The Sims 3 from here, right?<br/><br/>Click. Click. Nothing happens.<br/><br/>Did we do something wrong? Is our profile not acceptable? Is EA just not that into us any more? We close origin, launch it again, try The Sims again. Still nothing. After a few more minutes of troubleshooting, we give it the old Windows solution - we reboot the machine.<br/><br/>When we get back to Windows and launch The Sims again, it launches perfectly, without seeming to care about EA Origin. It's like nothing ever happened, and everything works just fine. The old Download Manager interface is even still there, and allows us to update the system. Apparently it just wanted Origin for authentication, or something?<br/><br/>But even though this story has a happy ending, there are still troubling implications here. EA did a very poor job of informing the user about what was happening here, leaving us to guess and google and hope that things would end up working. This was a very stress-inducing experience, which is not what you want when you sit down to play a game.<br/><br/>Also, the fact that they retroactively tied a single-player game into an online distribution platform seems both unnecessary and potentially problematic. When we bought the game, we did not do so with the understanding that an Internet connection was necessary for authentication or activation, for instance. We didn't agree to have the game tied in to an account that may prevent us from updating if it is ever suspended or deleted for some reason (and these things happen; no system is free of errors). While we don't have any reason to suspect that the game would become *unplayable* in the absence of Origin, this is still troubling.<br/><br/>In a post like this, I would, at this point, customarily make a plea to the company in question to be better, to stop disappointing its users, to be more transparent and try to foster trust. But I'm not going to bother. Because EA has proven themselves time and again to be unwilling to hear those pleas. Instead, I'm going to close with a question.<br/><br/>EA, <a href="http://chrishecker.com/Can_a_Computer_Make_You_Cry%3F">what happened to you</a>?