---
deprecated: true
excerpt_separator: <br/>
category: media
layout: post
title: 'Puzzle Log: Dante Shepherd''s twitter puzzle'
date: '2011-07-22T12:00:00.000-04:00'
author: Anna Wiggins
tags:
- Puzzles
modified_time: '2013-10-22T11:19:51.467-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-2959339115742070120
blogger_orig_url: http://www.stringofbits.net/2011/07/puzzle-log-dante-shepherd-twitter-puzzle.html
---

Puzzling - that is, solving puzzles recreationally - is a hobby of mine. I enjoy it immensely, although I enjoy some puzzles much more than others. I enjoy the sorts of puzzles that involve both intuitive leaps and a combination of generalized and specialized knowledge. The sorts of puzzles that happen at the <a href="http://www.mit.edu/~puzzle/">MIT Mystery Hunt</a> are probably the best examples of puzzles I really enjoy (and, indeed, I had a lot of fun at my first Puzzle Hunt this year).<br/><br/>So, in the tradition of <a href="http://solvingpuzzles.tumblr.com/">Solving Really Hard Puzzles</a>, I've decided to post logs of some of my puzzling efforts here. These may only be of interest to a very few people; feel free to ignore them if this is not up your alley.<br/><br/>Today's puzzle is one that Dante Shepherd posted on twitter in <a href="http://twitter.com/#!/danteshepherd/status/94455810507280385">this tweet</a>. Puzzles that are simply an encoded string of characters always intrigue me, so I dived right in. It took me about half an hour to solve, and it was a lot of fun. I created a log of the process by simply periodically noting the time and writing down my thoughts, especially when I got somewhere new, such as the aha moment at 15:00. In the future, I may look for (or create) some software that will make logging a bit easier.<br/><br/>Also, here is the original puzzle, for the link-averse:<br/><br/>L 45, R 270 L 225, R 270 L 225, R 180, L 90, R 270 L 225, R 270 L 90, R 225 L 90, R 270 L 225, R 225 L 135.<br/><br/><strong>Spoiler Warning: if you want to solve this puzzle yourself, don't read my log. It contains spoilers for the intuitive leaps as well as the solution.</strong><br/><br/><strong>14:45</strong><br/>Okay, puzzle is gridded. What do we have here? These are obviously rotations; L and R for 'left' and 'right', and the numbers are all &lt; 360.<br/><br/><strong>14:50</strong><br/>Oh, they're all multiples of 45 degrees. So, they're all nice, even angles, and they are paired off.<br/><br/><strong>15:00</strong><br/>Aha! It's Semaphore. For the two that are missing part of the pair, I'm assuming the angle is 0. Let me just look up a semaphore chart...<br/><br/><strong>15:01</strong><br/>Oh crap. Is 0 at the top or bottom? Is L the sender's left or the receiver's left? Now I have to work out the coordinate system Dante used. At least we know that the low numbers map to the L side, and the high numbers map to the R side.<br/><br/><strong>15:10</strong><br/>Tried 3 coordinate systems - 0 at top with L == left arm, 0 at top with L == viewer's left, and 0 == right, coordinates going counter-clockwise (trig coordinates). All that's left for reasonable systems is 0 on the bottom.<br/><br/><strong>15:13</strong><br/>And solved. The solution is GOODFORYOU. It was the last coordinate system I tried, of course - moved 0 to the bottom, but got L and R backwards the first try.