---
deprecated: true
excerpt_separator: <br/>
category: media
layout: post
title: Vendetta redux, Eve Online, and the MMO bug
date: '2009-11-03T06:58:00.000-05:00'
author: Anna Wiggins
tags:
- eve online
- vendetta online
- Gaming
- mmo
modified_time: '2013-10-22T11:19:50.855-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-5151152868225534636
blogger_orig_url: http://www.stringofbits.net/2009/11/vendetta-redux-eve-online-and-mmo-bug.html
---

So, I've been playing Vendetta Online for a while now, and the shiny factor is starting to fade.  My <a href="http://en.wikipedia.org/wiki/Neophilia">neophilia</a> guarantees that I will like any sufficiently shiny thing for at least a couple weeks.  However, the game underneath the shiny is lacking, and it may be lacking in too many ways for me to justify playing it.<br/><br/>The biggest problem, by a long shot, is the player base.  60 players seems to be the absolute upper bound at any given time, at least while I've been playing.  This is abysmal for an MMOG; there are FPS games that support larger numbers of players at a time.  I might even be happy with this player base, if they did anything other than hang out in Sedina B8 PvPing.  It doesn't really feel like an MMO at this point, it has the feeling of a social dogfighting game.<br/><br/>A lot of noobs seem to appear, play for a few weeks, and vanish.  I can see why.  The player base seems a little cliquish, though not overly much.  But you get the feeling that Veterans will always be Veterans, reminiscing about the glory days, and noobs will always be noobs, struggling to make a few credits in the face of vastly more experienced and skilled pirates.  Of course, that's when you find pirates at all.  I've flown across have the game's universe trading and never been pirated.  Like I said in my previous post, it's a ghost galaxy.<br/><br/>The numerous buggy things and realism-breakers are a turn-off, too.  Capships in convoys don't carry any cargo, so they're worthless to both escorts (who get a "share of the profits" for their pay) and pirates.  The cargo is simply an unlimited stream of widgets moving back and forth across the universe, with no great purpose in life.  The convoy missions don't always work, either; I've had several simply fail to end, giving me nothing and forcing me to abort the mission.<br/><br/>There is not a lot of variety in missions.  After playing through the few available mission trees, the missions are all one of a few boilerplate missions.  Fly out, kill some stuff, you're done.  Take this here, bring that back.  Mine for lots of foo, get paid.  Nothing more elaborate than that, which is disappointing.<br/><br/>I'm not cancelling my subscription yet.  I'm giving the game a little more time to impress me.  But at the same time, I'm going to try out Eve Online.  You see, the MMO bug has hit me, and now I want a large, persistent universe full of people that I can fight with, trade with, and just generally game alongside.  The space theme is more appealing to me than fantasy MMOs have ever been (fantasy has been done to death, is what it comes down to).<br/><br/>As far as roleplaying backstory goes, the science in Eve is surprisingly non-squishy, with a lot of modern scifi concepts making an appearance: quantum entaglement-based FTL communication, consciousness hot-backups, etc.  Sure, the spectre of "jumpgates" (replace with "wormholes" at leisure) makes an appearance, but I can accept some foils for the sake of the story.<br/><br/>While I love twitch-based gameplay, I am a lot better at tactical/strategic combat.  I think on my feet pretty well, but my reflexes suck pretty hard.  I would probably find the combat in Eve more enjoyable, as a result.<br/><br/>If you ignore the combat layer, Eve has a lot of awesome features that would make VO great: player-owned systems, player-run economics (the materials you trade actually seem to come from a player at some point), and player-designed ships.  All of these could have an analogue in VO, and if features like these were present, I would probably enjoy VO a lot more.<br/><br/>Of course, there's also Jumpgate: Evolution.  It'll be interesting to check that out when it launches.  We'll see.